This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 843092 - The mash update recently pushed is having a problem building rawhide
The mash update recently pushed is having a problem building rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mash (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 10:57 EDT by Bruno Wolff III
Modified: 2014-03-16 23:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 17:45:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-07-25 10:57:49 EDT
Description of problem:
Part of the rawhide mash failed this morning. I was told that a new mash was just pushed and it is probably related to that. However we don't know if it is a mash bug or a config failure. (A config file problem should really be logged in trac, but I thought I'd start with bugzilla.)

Version-Release number of selected component (if applicable):
I am not sure.

How reproducible:
Just happened today, and I haven't tried to reporduce on my own hardware.

Actual results:
2012-07-25 10:31:16 mash: Resolving multilib for arch x86_64 using method devel
Traceback (most recent call last):
  File "/usr/bin/mash", line 100, in <module>
    main()
  File "/usr/bin/mash", line 86, in main
    rc = themash.doMultilib()
  File "/usr/lib/python2.7/site-packages/mash/__init__.py", line 592, in doMultilib
    pid = self.doDepSolveAndMultilib(arch, repocache)
  File "/usr/lib/python2.7/site-packages/mash/__init__.py", line 543, in doDepSolveAndMultilib
    elif do_multi and method.select(pkg):
  File "/usr/lib/python2.7/site-packages/mash/multilib.py", line 177, in select
    if po.name in whitelist:
NameError: global name 'whitelist' is not defined
2012-07-25 10:31:36 mash: Depsolve and createrepo finished.
mash failed in /mnt/koji/mash/rawhide-20120725/rawhide
Comment 1 Bill Nottingham 2012-07-25 17:44:35 EDT
I'm an idiot, and it should be fixed in -2.

Note You need to log in before you can comment on or make changes to this bug.